Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::memberdef< L, T >::_member Struct Reference

Helper class to define a serializable member in aka2::sequence<>, aka2::all<>. More...

`#include <memberdef.h>`

List of all members.

## Public Methods
template<class P, class V> | _member (const std::string &tagname, V P::*m)
template<class P, class V> | _member (const std::string &tagname, V P::*m, int minOccurs, int maxOccurs)
template<class P, class V, class VL> | _member (const std::string &tagname, V P::*m, const VL &vl)
template<class P, class V, class VL> | _member (const std::string &tagname, V P::*m, const VL &vl, int minOccurs, int maxOccurs, bool emptiable=false)
void | set_default (const std::string &defval)

## Detailed Description

### template<class L, class T>
struct aka2::memberdef< L, T >::_member

Helper class to define a serializable member in aka2::sequence<>, aka2::all<>.

Helper class to define serializable members in aka2::sequence<>, aka2::all<>.

See also:
  aka2::memberdef::member

Definition at line 51 of file memberdef.h.

## Constructor & Destructor Documentation

template<class L, class T>
template<class P, class V>
aka2::memberdef< L, T >::_member::_member | ( | const std::string & | tagname,
|  | V P::* | m
| ) | `[inline]`

  | Constructor for member definition. Parameters:
  tagname | tag name of member.
  m | pointer to a member of a value class.
Definition at line 58 of file memberdef.h.

template<class L, class T>
template<class P, class V>
aka2::memberdef< L, T >::_member::_member | ( | const std::string & | tagname,
|  | V P::* | m,
|  | int | minOccurs,
|  | int | maxOccurs
| ) | `[inline]`

  | Constructor for member array definition. Parameters:
  tagname | tag name of member.
  m | pointer to a member of a value class of T.
  minOccurs | minOccurs.
  maxOccurs | maxOccurs.
Definition at line 69 of file memberdef.h.

template<class L, class T>
template<class P, class V, class VL>
aka2::memberdef< L, T >::_member::_member | ( | const std::string & | tagname,
|  | V P::* | m,
|  | const VL & | vl
| ) | `[inline]`

  | Constructor for member definition. Parameters:
  tagname | tag name of member.
  m | pointer to a member of a value class of T.
  vl | leaf class for V
Definition at line 80 of file memberdef.h.

template<class L, class T>
template<class P, class V, class VL>
aka2::memberdef< L, T >::_member::_member | ( | const std::string & | tagname,
|  | V P::* | m,
|  | const VL & | vl,
|  | int | minOccurs,
|  | int | maxOccurs,
|  | bool | emptiable = false
| ) | `[inline]`

  | Constructor for member array definition. Parameters:
  tagname | tag name of member.
  m | pointer to a member of a value class of T.
  vl | leaf class for VL.
  minOccurs | minOccurs.
  maxOccurs | maxOccurs.
  emptiable | allow empty array.
Definition at line 93 of file memberdef.h.

## Member Function Documentation

template<class L, class T>
void aka2::memberdef< L, T >::_member::set_default | ( | const std::string & | defval | ) | `[inline]`

  | set default value of member. Parameters:
  defval | default value.
Definition at line 102 of file memberdef.h.

The documentation for this struct was generated from the following file:

- memberdef.h